mchar_put_prop(3m17n)

NAME
mchar_put_prop - Set the value of a character property.

SYNOPSIS
int mchar_put_prop (int c, MSymbol key, void * val)

DESCRIPTION
Set the value of a character property.

The mchar_put_prop() function searches character c for the character property whose key is key and assigns val to the value of the found property.

RETURN VALUE

    If the operation was successful, mchar_put_prop() returns 0. Otherwise, it returns -1.

ERRORS

    MERROR_SYMBOL, MERROR_DB

SEE ALSO

    mchar_define_property(), mchar_get_prop()

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.